<?
include("../sistem/cfg.dat");
include("../sistem/global.dat");
include("../temes/$teme/verh.dat");

require('functions.php');
?>
<div class="razd">Игры!</div>
<?
$ordFldK[0]='adddate';
$ordFldN[0]='Дате';
$ordFldK[1]='downloaded';
$ordFldN[1]='Популярности';
$ordFldK[2]='size';
$ordFldN[2]='Размеру';

$onpage=5;
$p=(isset($_GET['p']) && !preg_match('/[^0-9]/',$_GET['p']))?$_GET['p']:0;
$order=((isset($_GET['o']) && isset($ordFldK[$_GET['o']]))?$_GET['o']:1);
$fn='java_'.$ordFldK[$order];
updateData($fn,'/export/java.php?c=0&o='.$order);
if($data=getData($fn,$p*$onpage,$onpage)) {
foreach($data as $value) {
echo $value[2].'<br/><br/><small>Размер: '.round($value[1]/1024).' kB<br></small>
<a href="http://wapnot.ru/java/'.$value[0].'.jar">Скачать игру!</a><br/><a href="http://wapnot.ru/jadgen.php?id='.$value[0].'">Скачать с использованием JAD</a></p><div class="razd">Качай тут!</div>';
}

if($p<ceil(getNumRows($fn)/$onpage)-1) {echo '<a href="java.php?p='.($p+1).'&amp;o='.$order.'&amp;'.SID.'">Далее &gt;&gt;&gt;</a><br/>';}
if($p>0) {echo '<a href="java.php?p='.($p-1).'&amp;o='.$order.'&amp;'.SID.'">&lt;&lt;&lt; Назад</a>';}
echo '<br/>Упорядочить по:<br/>';
for($i=0;$i<sizeof($ordFldK);$i++) {
if($i==$order) {
echo $ordFldN[$i].'<br/>';
} else {
echo '<a href="java.php?p='.($p-1).'&amp;o='.$i.'&amp;'.SID.'">'.$ordFldN[$i].'</a><br/> ';
}
}

} else {
echo 'Невозможно получить данные.';
}
echo '<br/>';
echo '<a href="java.php?'.SID.'">К началу</a><br/>';
echo '<a href="index.php?'.SID.'">категории</a><br/>';
echo'<a href="../index.php?'.SID.'">На главную</a><br>';
include("../sistem/global_end.dat");
include("../temes/$teme/niz.dat");
?>